<div class="container mt-5">
  <div class="row">
    <div class="col-md-6 col-lg-3 mb-4">
      <div id="status-display">Status: <span id="status-text-radar"></span></div>
      <div class="card">
        <img class="card-img-top" src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcS5LFNZA1fliWtNfK4Bh7LNq64kT68n4Bp1ig&usqp=CAU" alt="Radar">
        <div class="card-body d-flex flex-column">
            <h5 class="card-title">Radar</h5>
            <div class="mt-auto mb-2 d-flex justify-content-between">
                <a href="/radar" class="btn btn-primary">Details</a>
                <label class="checkbox-label">
                  <input type="checkbox" [checked]="rawDataToggle" (change)="toggleSwitchRawData($event)">
                  Raw Data
                </label>                                
                <label class="switch">
                    <input type="checkbox" [checked]="radarToggle" (change)="toggleSwitchRadar($event)">
                    <span class="slider"></span>
                </label>
            </div>
        </div>
    </div>
    </div>
    <div class="col-md-6 col-lg-3 mb-4">
      <div id="status-display-kinect">Status: <span id="status-text-kinect"></span></div>
      <div class="card">
        <img class="card-img-top" src="https://cdn-icons-png.flaticon.com/512/2818/2818152.png" alt="Kinect">
        <div class="card-body">
          <h5 class="card-title">Kinect</h5>
            <div class="mt-auto mb-2 d-flex justify-content-between">
              <a href="/kinect" class="btn btn-primary">Details</a>
              <label class="switch">
                <input type="checkbox" (change)="toggleSwitchKinect($event)">
                <span class="slider"></span>
            </label>
            </div>
        </div>
      </div>
    </div>
    <div class="col-md-6 col-lg-3 mb-4">
      <div id="status-display-mediapipe">Status: <span id="status-text-mediapipe"></span></div>
      <div class="card">
        <img class="card-img-top" src="https://cdn-icons-png.flaticon.com/512/1461/1461141.png" alt="MediaPipe">
        <div class="card-body">
          <h5 class="card-title">MediaPipe</h5>
            <div class="mt-auto mb-2 d-flex justify-content-between">
              <a href="/mediapipe" class="btn btn-primary">Details</a>
              <label class="switch">
                <input type="checkbox" [checked]="mediapipeToggle" (change)="toggleSwitchMedia($event)">
                <span class="slider"></span>
            </label>
            <!-- <button type="submit" class="btn btn-primary" (click)="sendcheckRequest()">Run</button> -->
            </div>
        </div>
      </div>
    </div>
    <div class="col-md-6 col-lg-3 mb-4">
      <div id="status-display-leap">Status: <span id="status-text-leap"></span></div>
      <div class="card">
        <img class="card-img-top" src="../../assets/img/leap-motion-3d-motion-gesture-co.jpg" alt="Leap Motion">
        <div class="card-body">
          <h5 class="card-title">Leap Motion</h5>
            <div class="mt-auto mb-2 d-flex justify-content-between">
              <a href="/leap-motion" class="btn btn-primary">Details</a>
              <label class="switch">
                <input type="checkbox" (change)="toggleSwitchLeap($event)">
                <span class="slider"></span>
            </label>
            </div>
        </div>
      </div>
    </div>
  </div>
</div>
